Skip to main content
`Ctrl`+`K`

# TSSetSNES

Set the `SNES` (nonlinear solver) to be used by the `TS` timestepping context

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetSNES(TS ts, SNES snes)

Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- snes - the nonlinear solver context

## Note

Most users should have the `TS` created by calling `TSGetSNES()`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `SNES`, `TSCreate()`, `TSSetUp()`, `TSSolve()`, `TSGetSNES()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages